Summary:	eSpeak NG - multi-lingual software speech synthesizer
Summary(pl.UTF-8):	eSpeak NG - wielojęzyczny programowy syntezator mowy
Name:		espeak-ng
Version:	1.52.0
Release:	1
License:	GPL v3+
Group:		Applications/Sound
#Source0Download: https://github.com/espeak-ng/espeak-ng/tags
Source0:	https://github.com/espeak-ng/espeak-ng/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b445d9bf5a8ed9eceeb7c8edf5945641
URL:		https://github.com/espeak-ng/espeak-ng/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool >= 2:2
BuildRequires:	pcaudiolib-devel
BuildRequires:	ronn
BuildRequires:	sonic-devel
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	espeak < 1.49
Obsoletes:	speak < 1.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The eSpeak NG (Next Generation) Text-to-Speech program is an open
source speech synthesizer that supports 95 languages and accents. It
is based on the eSpeak engine created by Jonathan Duddington. It uses
spectral formant synthesis by default which sounds robotic, but can be
configured to use Klatt formant synthesis or MBROLA to give it a more
natural sound.

%description -l pl.UTF-8
eSpeak NG (następnej generacji) to mający otwarte źródła program do
syntezy mowy, obsługujący 95 języków i akcentów. Jest oparty na
silniku eSpeak napisanym przez Jonathana Duddingtona. Domyślnie używa
spektralnej syntezy formantowej, która brzmi jak robot, ale może być
skonfigurowany, aby używał syntezy formantowej Klatta lub syntezy
MBROLA, aby brzmiał bardziej naturalnie.

%package libs
Summary:	eSpeak shared libraries
Summary(pl.UTF-8):	eSpeak - biblioteki
Group:		Libraries
Obsoletes:	speak-libs < 1.16

%description libs
eSpeak shared libraries.

%description libs -l pl.UTF-8
eSpeak - biblioteki dzielone.

%package devel
Summary:	eSpeak NG - development files
Summary(pl.UTF-8):	eSpeak NG - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
eSpeak NG - development files.

%description devel -l pl.UTF-8
eSpeak NG - pliki dla programistów.

%package static
Summary:	eSpeak NG - static libraries
Summary(pl.UTF-8):	eSpeak NG - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
eSpeak NG - static libraries.

%description static -l pl.UTF-8
eSpeak NG - biblioteki statyczne.

%package -n vim-syntax-espeak
Summary:	Vim syntax rules for eSpeak files
Summary(pl.UTF-8):	Reguły składni Vima dla plików eSpeaka
Group:		Applications/Editors
Requires:	vim-rt

%description -n vim-syntax-espeak
Vim syntax rules for eSpeak files.

%description -n vim-syntax-espeak -l pl.UTF-8
Reguły składni Vima dla plików eSpeaka.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-extdict-cmn \
	--with-extdict-ru \
	--with-extdict-yue

# parallel build fails on data
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	vim_addons_ftdetectdir=%{_datadir}/vim/vimfiles/ftdetect \
	vim_addons_syntaxdir=%{_datadir}/vim/vimfiles/syntax

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libespeak-ng*.la
# allow coexistence with espeak
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libespeak.la
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/espeak
# no vim-addon-manager in PLD
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/vim/registry

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog.md COPYING.{BSD2,UCD} README.md docs/{*.md,images,languages,phonemes}
%attr(755,root,root) %{_bindir}/espeak
%attr(755,root,root) %{_bindir}/espeak-ng
%attr(755,root,root) %{_bindir}/speak
%attr(755,root,root) %{_bindir}/speak-ng
%{_datadir}/%{name}-data
%{_mandir}/man1/espeak-ng.1*
%{_mandir}/man1/speak-ng.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libespeak-ng.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libespeak-ng.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libespeak-ng.so
%{_includedir}/espeak-ng
%{_pkgconfigdir}/espeak-ng.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libespeak-ng.a

%files -n vim-syntax-espeak
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/ftdetect/espeakfiletype.vim
%{_datadir}/vim/vimfiles/syntax/espeaklist.vim
%{_datadir}/vim/vimfiles/syntax/espeakrules.vim
%changelog
* Thu Jun 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/espeak-ng.git;a=log;h=master

* Thu Jun 26 2025 Jakub Bogusz <qboosh@pld-linux.org> 214342d
- updated to 1.52.0

* Fri Sep 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 24baa3b
- updated to 1.51.1

* Wed Apr 06 2022 Jakub Bogusz <qboosh@pld-linux.org> c82e67c
- updated to 1.51; release tarball broken again

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 45a0b43
- updated to 1.50

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 61047c0
- updated to 1.49.2

* Tue Jul 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 9f31332
- new

